<?php
namespace Teknisa\COZ\Controllers;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class Coz07200Controller extends \Zeedhi\Framework\Controller\Report {

    protected $coz07200service;

    protected $reportMapping = array (
    'Pla07200' => 
        array (
            'strategy' => 'QR2',
            'parameterMapping' => 
            array (
                'NRORG'                 => 'P_NRORG',
            ),
        ),
    'Pla07201' => 
        array (
            'strategy' => 'QR2',
            'parameterMapping' => 
            array (
                'NRORG'                 => 'P_NRORG',
            ),
        ),
    );

    public function __construct($reportService, $coz07200service) {
        $this->coz07200service = $coz07200service;
        parent::__construct($reportService);
    }

    public function beforeProcessReport(DTO\Request\Row $request, DTO\Response $response) {
    	$row = $request->getRow();
        $this->coz07200service->preencheCampos($row);
    }
}